Subject: M3UA-10: Invalid Parameter Value

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sat, 29 Dec 2001 21:54:14 -0600

M3UA-10: 3.8.1

> The "Invalid Stream Identifier" error is sent if a message is received 
> on an unexpected SCTP stream (e.g., a Management message was received 
> on a stream other than "0").
> 
> The " Invalid Parameter Value " error is sent if a message is received 
> with an invalid parameter value (e.g., a DUPU message was received with 
> a Mask value other than "0" or a Data message was received on stream
> "0").

Is there some particular reason why an M3UA would not send "Invalid Stream
Identifier" instead of "Invalid Parameter Value" when a Data message was
received on stream "0"?  Please move "or a Data message was received on stream
"0"" to Invalid Stream Identifier to be consistent with SUA-09 which reads as
follows:

SUA-09:

>  The "Invalid Stream Identifier" error is sent if a message is 
>  received on an unexpected SCTP stream (e.g., a Management message 
>  was received on a stream other than "0", or a Data message was 
>  received on stream "0"). 
>   
>  The "Parameter Field Error" would be sent if a message is received 
>  with a parameter having a wrong length field. 

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]